--- title: "固有表現認識" url: https://docs.catalyst.zoho.com/ja/api/code-reference/zia-services/text-analytics/named-entity-recognition/ description: "このAPIを使用すると、テキストブロックに対してNamed Entity Recognitionを実行し、キーワードを抽出してさまざまなカテゴリに分類できます。" last_updated: 2026-03-30T08:10:30Z service: Zia Services type: api --- # Named Entity Recognition [Zia Named Entity Recognition](https://docs.catalyst.zoho.com/ja/zia-services/help/text-analytics/introduction/)は、Text Analyticsの一部で、テキストコンテンツを処理してキーワードを抽出し、さまざまなカテゴリに分類します。例えば、テキスト内の単語が組織名、人名、または日付であることを判定し、適切なカテゴリに追加できます。NERが認識するすべてのカテゴリのリストについては[こちら](https://docs.catalyst.zoho.com/ja/zia-services/help/text-analytics/key-concepts/#named-entity-recognition)を参照してください。 レスポンスは、認識されたすべてのエンティティの詳細と、それらが属するカテゴリを示すタグを返します。また、各認識の精度を示す信頼度スコアと、テキスト内のエンティティの位置も含まれます。 # Named Entity Recognitionの実行 ### 説明 このAPIを使用して、1回のリクエストで最大1500文字のテキストブロックに対してNamed Entity Recognitionを実行できます。サンプルリクエストに示すように、リクエストのJSONボディにテキストを渡すことができます。 ### リクエスト詳細 #### リクエストURL `POST` {api-domain}/baas/v1/project/{project_id}/ml/text-analytics/ner - **api-domain** (URL): Catalyst APIにアクセスするためのDC固有のドメイン - **project_id** (Numerical): プロジェクトの[一意のID](https://docs.catalyst.zoho.com/ja/getting-started/set-up-a-catalyst-project/general-settings/) #### リクエストヘッダー **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** application/json **オプションヘッダー** **CATALYST-ORG:** {org_id} **Environment:** Development #### スコープ ZohoCatalyst.mlkit.READ #### リクエストJSONプロパティ - **document** (string array, mandatory): Named Entity Recognitionのために処理するテキスト ### レスポンス詳細 レスポンスは、テキスト内で認識されたすべてのエンティティの配列を返します。各エンティティ認識の詳細には、エンティティの分類タグが含まれます(例:組織名を示す`ORG`やその他の値を示す`MISC`)。 レスポンスは、テキスト内の各エンティティの位置も`start_index`と`end_index`を通じて返し、エンティティの開始インデックスと終了インデックスを示します。各エンティティ分類に対して決定された信頼度スコアはパーセンテージ値で表されます。 **リクエスト例** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/text-analytics/ner \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -d '{ "document":"[The biggest reason for me to love and remember this trek is the beautiful valley itself. Right from the entry, you can see a bed of pink alpine orchids, blue Himalayan poppies, yellow marigolds, and a whole variety of flowers spread out around you. The weather was also very pleasant that day, about 24 degree celsius, which made the experience all the more amazing.]" }' ``` **レスポンス例** ```json { "status": "success", "data": [ { "ner": { "general_entities": [ { "start_index": 21, "confidence_score": 100, "end_index": 25, "ner_tag": "Color", "token": "pink" } ] } }, { "ner": { "general_entities": [ { "start_index": 94, "confidence_score": 56, "end_index": 97, "ner_tag": "Duration", "token": "day" } ] } }, { "ner": { "general_entities": [] } }, { "ner": { "general_entities": [] } }, { "ner": { "general_entities": [ { "start_index": 0, "confidence_score": 100, "end_index": 6, "ner_tag": "Color", "token": "yellow" } ] } }, { "ner": { "general_entities": [ { "start_index": 6, "confidence_score": 100, "end_index": 15, "ner_tag": "Temperature", "token": "24 degree", "fine_entities": [ { "start_index": 9, "end_index": 15, "ner_tag": "Fahrenhiet", "token": "degree" }, { "start_index": 6, "end_index": 8, "ner_tag": "Value", "token": "24" } ] }, { "start_index": 16, "confidence_score": 100, "end_index": 23, "ner_tag": "Unit_temperature", "token": "celsius" } ] } }, { "ner": { "general_entities": [ { "start_index": 5, "confidence_score": 61, "end_index": 14, "ner_tag": "Miscellaneous", "token": "Himalayan" }, { "start_index": 0, "confidence_score": 100, "end_index": 4, "ner_tag": "Color", "token": "blue" } ] } } ] } ``` ### SDK Documentation [Text Analytics: Named Entity Recognition- Java SDK](https://docs.catalyst.zoho.com/ja/sdk/java/v1/zia-services/text-analytics/named-entity-recognition) [Text Analytics: Named Entity Recognition- Node.js SDK](https://docs.catalyst.zoho.com/ja/sdk/nodejs/v2/zia-services/text-analytics/named-entity-recognition) [Text Analytics: Named Entity Recognition- Python SDK](https://docs.catalyst.zoho.com/ja/sdk/python/v1/zia-services/text-analytics/named-entity-recognition)